#include <stdio.h>

int main()
{
    long long int N,i,j;
    scanf("%lld",&N);
    double A[N],P[N],max,x;
    for(i=0;i<N;i++)
    {
    	scanf("%lf %lf",&A[i],&P[i]);
	}
	for(i=0;i<N;i++)
	{
		x=0;
		for(j=0;j<N;j++)
		{
			if(P[i]<=P[j])
			x+=(P[i]/100)*A[j];
		}	
		if(x>=max)
		max=x;
	}
	printf("%lf",max);
    return 0;
}